/* Table of supported configuration directives */
/* $Id: cas_directive.cpp,v 1.6 2006-04-08 15:13:49+09 naito Exp $ */
static const command_rec cas_directives[] = 
{
#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
	"CASLocalCacheFile",			/* name */
	read_CASLocalCacheFile,			/* handler */
	NULL,					/* handler's argument */
	RSRC_CONF,				/* availability */
#ifdef	APACHE1
	TAKE1,
#endif
	"Path to local cache in support of mod_cas"
	/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
	"CASLogoutParameter",			/* name */
	read_CASLogoutParameter,		/* handler */
	NULL,					/* handler's argument */
	RSRC_CONF,				/* availability */
#ifdef	APACHE1
	TAKE1,
#endif
	"GET parameter used to indicate logout is desired"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
	"CASLogoutLocalURL",			/* name */
	read_CASLogoutLocalURL,			/* handler */
	NULL,					/* handler's argument */
	RSRC_CONF,				/* availability */
#ifdef	APACHE1
	TAKE1,
#endif
	"Local URL to redirect to after logout is performed"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif


#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
	"CASEGDFile",			/* name */
	read_CASEGDFile,			/* handler */
	NULL,					/* handler's argument */
	RSRC_CONF,				/* availability */
#ifdef	APACHE1
	TAKE1,
#endif
	"If specified, use EGD based on given file; "
        "otherwise, use /dev/urandom"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
	"CASLocalCacheSize",			/* name */
	read_CASLocalCacheSize,			/* handler */
	NULL,					/* handler's argument */
	RSRC_CONF,				/* availability */
#ifdef	APACHE1
	TAKE1,
#endif
	"Size of local cache in support of mod_cas"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
	"CASLocalCacheTimeout",			/* name */
	read_CASLocalCacheTimeout,		/* handler */
	NULL,					/* handler's argument */
	RSRC_CONF,				/* availability */
#ifdef	APACHE1
	TAKE1,
#endif
	"Cookie usefulness timeout in local cache in support of mod_cas"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_FLAG(
#endif
	"CASLocalCacheInsecure",		/* name */
	read_CASLocalCacheInsecure,		/* handler */
	NULL,					/* handler's argument */
	RSRC_CONF,				/* availability */
#ifdef	APACHE1
	FLAG,
#endif
	"Cookie restriction for local cache in support of mod_cas"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASHost",		/* name */
		 read_CASHost,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Host Name"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASMatchValidUser",		/* name */
		 read_CASMatchValidUser,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Matching Attribute"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASPort",		/* name */
		 read_CASPort,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Host Port Number"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASValidatePort",		/* name */
		 read_CASValidatePort,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Validation Host Port Number"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASMethod",		/* name */
		 read_CASMethod,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Host GET Method"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASLogin",		/* name */
		 read_CASLogin,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS LOGIN URL"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASLogout",		/* name */
		 read_CASLogout,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS LOGOUT URL"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASValidate",		/* name */
		 read_CASValidate,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Validate URL"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASProtocol",		/* name */
		 read_CASProtocol,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Protocol Version"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_TAKE1(
#endif
		 "CASGoback",		/* name */
		 read_CASGoback,		/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 TAKE1,
#endif
		 "CAS Protocol Version"
						/* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_FLAG(
#endif
		 "CASLoginSSL",				/* name */
		 read_CASLoginSSL,				/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 FLAG,
#endif
		 "Whether using SSL or not to connect CAS Server"
		 /* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_FLAG(
#endif
		 "CASLogoutSSL",				/* name */
		 read_CASLogoutSSL,				/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 FLAG,
#endif
		 "Whether using SSL or not to connect CAS Server"
		 /* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_FLAG(
#endif
		 "CASValidateSSL",				/* name */
		 read_CASValidateSSL,				/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 FLAG,
#endif
		 "Whether using SSL or not to connect CAS Server"
		 /* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_ITERATE(
#endif
		 "CASTrustedCA",				/* name */
		 read_CASTrustedCA,				/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 ITERATE,
#endif
		 "CA File"
		 /* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_ITERATE(
#endif
		 "CASTrustedCADir",				/* name */
		 read_CASTrustedCADir,				/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 ITERATE,
#endif
		 "CA DIR"
		 /* description */
#ifdef	APACHE1
    },
#else
    ),
#endif

#ifdef	APACHE1
  {
#else	/* APACHE2 */    
    AP_INIT_FLAG(
#endif
		 "CASGobackSSL",				/* name */
		 read_CASGobackSSL,				/* handler */
		 NULL,					/* handler's argument */
		 RSRC_CONF,				/* availability */
#ifdef	APACHE1
		 FLAG,
#endif
		 "Whether using SSL or not to connect CAS Server"
		 /* description */
#ifdef	APACHE1
    },
#else
    ),
#endif
    {NULL}
};
